Update mobile - verify OTP
Verifies the OTP sent by *Update mobile - send OTP* and updates the mobile number on the ABHA profile.
Endpoint: POST /abha/api/v3/profile/account/verify
Flow: Profile - Update Mobile - step 2 of 2
- Previous: Update mobile - send OTP
- Next: none (last call of this flow)
Headers (plus Authorization: Bearer <gateway token>):
| Header | Required | Description |
|---|---|---|
| X-token | yes | User token (Bearer <token>) received after ABHA creation / login. |
| REQUEST-ID | yes | Unique UUID for every request. |
| TIMESTAMP | yes | Current UTC timestamp in ISO-8601 format. |
Request body for this use case:
| Field | Value / Type | Required | Description |
|---|---|---|---|
scope |
["ABHA-profile", "mobile-verify"] |
yes | Scope that selects this use case. Send exactly the values listed for this API. |
authData |
object | yes | Authentication payload for this use case. |
authData.authMethods |
["OTP"] |
yes | Authentication method used in this step. |
authData.otp |
object | yes | OTP authentication block. |
authData.otp.txnId |
string | yes | Transaction ID returned by the previous step of this flow. |
authData.otp.otpValue |
string | yes | OTP received by the user, RSA-encrypted. |
Responses
200Success: Update Mobile- Positive Flow
txnIdstringauthResultstringmessagestringaccountsobject[]accounts.ABHANumberstring400Bad Request (request validation failed): Update Mobile- Invalid Transaction Id; Update Mobile- Invalid Scope; Update Mobile- Invalid Auth Methods; Update Mobile- Invalid X-token; Update Mobile- Invalid OTP Value
Invalid Scopestringtimestampstring401Unauthorized (invalid / expired gateway token, X-token or benefit access): Update Mobile- Invalid access token; Update Mobile- X-token expired
codestringmessagestringdescriptionstring422Unprocessable Entity (business rule or UIDAI failure).
messagestringtimestampstring